View Issue Details

IDProjectCategoryView StatusLast Update
0004495Slicer4Core: GUIpublic2018-01-19 13:29
ReporterDavideAssigned Tolassoan 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version17.10
Product VersionSlicer 4.9.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004495: Qt5 Fiducial/ROI/Ruler icons duplicating
Description

Whenever an item is selected in the Fiducial/ROI/Ruler tool, the items get duplicated to an certain number of items that I didn’t count.

TagsNo tags attached.

Activities

Davide

Davide

2018-01-17 07:24

developer  

lassoan

lassoan

2018-01-18 09:29

developer   ~0015482

This seems to be due to KDE adding an extra & character to the GUI. See https://bugs.kde.org/show_bug.cgi?id=337491.

This should be possible to fix by not using the displayed text of the action but by assigning some custom property.

lassoan

lassoan

2018-01-18 10:59

developer   ~0015483

Pushed a fix: https://github.com/Slicer/Slicer/commit/cea9dcfd94bc1b670126c60a06a6950e5ead1c01

It should be available in tomorrow's nightly release. It would be great if somebody could test it.

Davide

Davide

2018-01-18 12:47

developer   ~0015485

great Andras, thanks! I'll test on linux tomorrow

Davide

Davide

2018-01-19 03:55

developer   ~0015486

Last edited: 2018-01-19 09:10

View 2 revisions

updated my local branch to the current master and I confirm that the bug is fixed, thanks!

Issue History

Date Modified Username Field Change
2018-01-17 07:24 Davide New Issue
2018-01-17 07:24 Davide File Added: c339e15a255eaa36eb0abe3f07c7a15b0407cae9.png
2018-01-18 09:29 lassoan Note Added: 0015482
2018-01-18 10:59 lassoan Assigned To => lassoan
2018-01-18 10:59 lassoan Status new => resolved
2018-01-18 10:59 lassoan Resolution open => fixed
2018-01-18 10:59 lassoan Fixed in Version => Slicer 4.9.0
2018-01-18 10:59 lassoan Note Added: 0015483
2018-01-18 12:47 Davide Note Added: 0015485
2018-01-19 03:55 Davide Note Added: 0015486
2018-01-19 09:10 Davide Note Edited: 0015486 View Revisions
2018-01-19 13:29 lassoan Status resolved => closed